Subject: Re: bug#21209: /gnu/store should be able to be a symlink, but it can't

From: Claes Wallin (韋嘉誠)<[email-masked]>
Date: Sat, 8 Aug 2015 06:51:17 +0200

Not commenting on the underlying problem, but on your workaround.

On 07-Aug-2015 11:22 pm, "Kragen Javier Sitaker" <[email-masked]>
wrote:
>
> Apparently I can’t make /gnu/store a symlink:

[ . . . ]

> I’m working around that by directly mounting the /gnustore partition
> under /gnu/store now.

[ . . . ]

>     /tb/gnustore.ext4 /gnu/store     ext4    loop            2       3

You don't need to make a new file system and a loop mount. You could just
make a bind mount.